﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OLLamaClient
{
    public class ollama_generate_response
    {
        public string model { get; set; }
        public DateTime created_at { get; set; }
        public string response { get; set; }
        public bool done { get; set; }
        List<int> context { get; set; }
        public long total_duration { get; set; }
        public long load_duration { get; set; }
        public long prompt_eval_count { get; set; }
        public long prompt_eval_duration { get; set; }
        public long eval_count { get; set; }
        public long eval_duration { get; set; }

    }
    public class ollama_chat_response
    {
        public string model { get; set; }
        public DateTime created_at { get; set; }
        public ollama_chat_message message { get; set; }
        public string done_reason { get; set; }
        public bool done { get; set; }
        public long total_duration { get; set; }
        public long load_duration { get; set; }
        public long prompt_eval_count { get; set; }
        public long prompt_eval_duration { get; set; }
        public long eval_count { get; set; }
        public long eval_duration { get; set; }

    }
}
